Subject: bug#22511: [request] Add "--preserve-setuid" to the chown command

From: Erik Auerswald <[email-masked]>
Date: Mon, 1 Feb 2016 09:20:30 +0100

Hi,

On Mon, Feb 01, 2016 at 03:33:29AM +0100, William Di Luigi wrote:
> if I understand it correctly, chown clears the setuid bit for security
> reasons (since, when changing the owner or group for a file, you could
> potentially be allowing *new people* to run that file as root).
> 
> While this is good for security, sometimes you want to be able to
> preserve the setuid bit. For example, when packaging software
> (https://bbs.archlinux.org/viewtopic.php?pid=1600551)

How about using "install" to install files, setting owner and mode bits
in one go?

HTH,
Erik
-- 
Always use the right tool for the job.
                        -- Rob Pike